VREDeploymentView (Register VRE Users Portlet 1.1.0-3.6.0 API)
Date: 2015-03-03

org.gcube.portlets.admin.manageusers.client.view

## Class VREDeploymentView

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Composite
      - - org.gcube.portlets.admin.manageusers.client.view.VREDeploymentView

- All Implemented Interfaces:
    com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsRenderable, com.google.gwt.user.client.ui.IsWidget, Display

      public class VREDeploymentView
      extends com.google.gwt.user.client.ui.Composite
      implements Display

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VREDeploymentView()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.user.client.ui.Widget` | `asWidget()`
    `void` | `enableActionButtons(PortalUserDTO selectedItem)` change the button to enable in the bottom bar depending on the status of the selected VRE
    `com.extjs.gxt.ui.client.widget.button.Button` | `getApproveButton()`
    `com.extjs.gxt.ui.client.widget.menu.MenuItem` | `getApproveMenu()`
    `com.extjs.gxt.ui.client.widget.grid.GridSelectionModel<PortalUserDTO>` | `getGridSelectionModel()`
    `com.extjs.gxt.ui.client.widget.button.Button` | `getRefreshButton()`
    `void` | `maskCenterPanel(String message, boolean mask)`
    `void` | `setData(List<PortalUserDTO> data)`
    `void` | `setGridContextMenu()`
    `void` | `updateSize()`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Composite

      `claimElement, getWidget, initializeClaimedElement, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, render, render, resolvePotentialElement, setWidget`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString, unsinkEvents`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VREDeploymentView

          public VREDeploymentView()

  - ### Method Detail

    - #### maskCenterPanel

          public void maskCenterPanel(String message,
                             boolean mask)

      Specified by:
        `maskCenterPanel` in interface `Display`

    - #### setData

          public void setData(List<PortalUserDTO> data)

      Specified by:
        `setData` in interface `Display`

    - #### asWidget

          public com.google.gwt.user.client.ui.Widget asWidget()

      Specified by:
        `asWidget` in interface `com.google.gwt.user.client.ui.IsWidget`
      Specified by:
        `asWidget` in interface `Display`
      Overrides:
        `asWidget` in class `com.google.gwt.user.client.ui.Widget`

    - #### updateSize

          public void updateSize()

      Specified by:
        `updateSize` in interface `Display`

    - #### enableActionButtons

          public void enableActionButtons(PortalUserDTO selectedItem)

      change the button to enable in the bottom bar depending on the status of the selected VRE
      Specified by:
        `enableActionButtons` in interface `Display`

    - #### setGridContextMenu

          public void setGridContextMenu()

      Specified by:
        `setGridContextMenu` in interface `Display`

    - #### getApproveButton

          public com.extjs.gxt.ui.client.widget.button.Button getApproveButton()

      Specified by:
        `getApproveButton` in interface `Display`

    - #### getGridSelectionModel

          public com.extjs.gxt.ui.client.widget.grid.GridSelectionModel<PortalUserDTO> getGridSelectionModel()

      Specified by:
        `getGridSelectionModel` in interface `Display`

    - #### getRefreshButton

          public com.extjs.gxt.ui.client.widget.button.Button getRefreshButton()

      Specified by:
        `getRefreshButton` in interface `Display`

    - #### getApproveMenu

          public com.extjs.gxt.ui.client.widget.menu.MenuItem getApproveMenu()

      Specified by:
        `getApproveMenu` in interface `Display`

Copyright © 2015. All Rights Reserved.